Index: c/src/lib/libcpu/sh/sh7750/ChangeLog
===================================================================
--- c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision fa5a45102c356c129aae76bd9fe3df37540a3c5c)
+++ c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision f4807abbd0a3fe8bc8da9b83e9fdde1d29f62fcd)
@@ -1,2 +1,6 @@
+2002-11-01	Joel Sherrill <joel@OARcorp.com>
+
+	* score/cpu_asm.c, score/ispsh7750.c: Removed warnings.
+
 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/sh/sh7750/score/cpu_asm.c
===================================================================
--- c/src/lib/libcpu/sh/sh7750/score/cpu_asm.c	(revision fa5a45102c356c129aae76bd9fe3df37540a3c5c)
+++ c/src/lib/libcpu/sh/sh7750/score/cpu_asm.c	(revision f4807abbd0a3fe8bc8da9b83e9fdde1d29f62fcd)
@@ -75,33 +75,33 @@
 #if SH_HAS_FPU
  
-asm volatile("
-    mov.l   @%0,r4    
-    add     %1,r4
-    sts.l   fpscr,@-r4
-    sts.l   fpul,@-r4
-    lds     %2,fpscr
-    fmov    dr14,@-r4
-    fmov    dr12,@-r4
-    fmov    dr10,@-r4
-    fmov    dr8,@-r4
-    fmov    dr6,@-r4
-    fmov    dr4,@-r4
-    fmov    dr2,@-r4
-    fmov    dr0,@-r4
+asm volatile("\n\
+    mov.l   @%0,r4    \n\
+    add     %1,r4\n\
+    sts.l   fpscr,@-r4\n\
+    sts.l   fpul,@-r4\n\
+    lds     %2,fpscr\n\
+    fmov    dr14,@-r4\n\
+    fmov    dr12,@-r4\n\
+    fmov    dr10,@-r4\n\
+    fmov    dr8,@-r4\n\
+    fmov    dr6,@-r4\n\
+    fmov    dr4,@-r4\n\
+    fmov    dr2,@-r4\n\
+    fmov    dr0,@-r4\n\
     "
 #ifdef SH4_USE_X_REGISTERS
-    "
-    lds     %3,fpscr
-    fmov    xd14,@-r4
-    fmov    xd12,@-r4
-    fmov    xd10,@-r4
-    fmov    xd8,@-r4
-    fmov    xd6,@-r4
-    fmov    xd4,@-r4
-    fmov    xd2,@-r4
-    fmov    xd0,@-r4
+    "\
+    lds     %3,fpscr\n\
+    fmov    xd14,@-r4\n\
+    fmov    xd12,@-r4\n\
+    fmov    xd10,@-r4\n\
+    fmov    xd8,@-r4\n\
+    fmov    xd6,@-r4\n\
+    fmov    xd4,@-r4\n\
+    fmov    xd2,@-r4\n\
+    fmov    xd0,@-r4\n\
     " 
 #endif
-   "lds     %4,fpscr
+   "lds     %4,fpscr\n\
    "
     : 
@@ -132,32 +132,32 @@
 #if SH_HAS_FPU
 
-asm volatile("
-    mov.l   @%0,r4    
+asm volatile("\n\
+    mov.l   @%0,r4    \n\
     "
 #ifdef SH4_USE_X_REGISTERS
+    "\n\
+    lds     %1,fpscr\n\
+    fmov    @r4+,xd0\n\
+    fmov    @r4+,xd2\n\
+    fmov    @r4+,xd4\n\
+    fmov    @r4+,xd6\n\
+    fmov    @r4+,xd8\n\
+    fmov    @r4+,xd10\n\
+    fmov    @r4+,xd12\n\
+    fmov    @r4+,xd14\n\
     "
-    lds     %1,fpscr
-    fmov    @r4+,xd0
-    fmov    @r4+,xd2
-    fmov    @r4+,xd4
-    fmov    @r4+,xd6
-    fmov    @r4+,xd8
-    fmov    @r4+,xd10
-    fmov    @r4+,xd12
-    fmov    @r4+,xd14
-    "
-#endif
-    "
-    lds     %2,fpscr
-    fmov    @r4+,dr0
-    fmov    @r4+,dr2
-    fmov    @r4+,dr4
-    fmov    @r4+,dr6
-    fmov    @r4+,dr8
-    fmov    @r4+,dr10
-    fmov    @r4+,dr12
-    fmov    @r4+,dr14
-    lds.l   @r4+,fpul
-    lds.l   @r4+,fpscr
+#endif
+    "\n\
+    lds     %2,fpscr\n\
+    fmov    @r4+,dr0\n\
+    fmov    @r4+,dr2\n\
+    fmov    @r4+,dr4\n\
+    fmov    @r4+,dr6\n\
+    fmov    @r4+,dr8\n\
+    fmov    @r4+,dr10\n\
+    fmov    @r4+,dr12\n\
+    fmov    @r4+,dr14\n\
+    lds.l   @r4+,fpul\n\
+    lds.l   @r4+,fpscr\n\
     " : 
     : "r"(fp_context_ptr), "r"(SH4_FPSCR_PR | SH4_FPSCR_SZ), "r"(SH4_FPSCR_SZ)
@@ -197,60 +197,60 @@
 {
 
-asm volatile("
-	.global __CPU_Context_switch
-__CPU_Context_switch:
-
-	add	%0,r4
-  
-	stc.l   sr,@-r4
-	stc.l	gbr,@-r4
-	mov.l   r0,@-r4
-	mov.l   r1,@-r4
-	mov.l   r2,@-r4
-	mov.l   r3,@-r4
-
-	mov.l   r6,@-r4
-	mov.l   r7,@-r4
-	mov.l	r8,@-r4
-	mov.l	r9,@-r4
-	mov.l	r10,@-r4
-	mov.l	r11,@-r4
-	mov.l	r12,@-r4
-	mov.l	r13,@-r4
-	mov.l   r14,@-r4
-	sts.l   pr,@-r4
-	sts.l   mach,@-r4
-	sts.l   macl,@-r4
-	mov.l   r15,@-r4
-
+asm volatile("\n\
+	.global __CPU_Context_switch\n\
+__CPU_Context_switch:\n\
+\n\
+	add	%0,r4\n\
+  \n\
+	stc.l   sr,@-r4\n\
+	stc.l	gbr,@-r4\n\
+	mov.l   r0,@-r4\n\
+	mov.l   r1,@-r4\n\
+	mov.l   r2,@-r4\n\
+	mov.l   r3,@-r4\n\
+\n\
+	mov.l   r6,@-r4\n\
+	mov.l   r7,@-r4\n\
+	mov.l	r8,@-r4\n\
+	mov.l	r9,@-r4\n\
+	mov.l	r10,@-r4\n\
+	mov.l	r11,@-r4\n\
+	mov.l	r12,@-r4\n\
+	mov.l	r13,@-r4\n\
+	mov.l   r14,@-r4\n\
+	sts.l   pr,@-r4\n\
+	sts.l   mach,@-r4\n\
+	sts.l   macl,@-r4\n\
+	mov.l   r15,@-r4\n\
+\n\
 	mov     r5, r4"
   :: "I" (sizeof(Context_Control))
   );
 
-  asm volatile("
-	.global __CPU_Context_restore
-__CPU_Context_restore:
-	mov.l   @r4+,r15
-	lds.l   @r4+,macl
-	lds.l   @r4+,mach
-	lds.l   @r4+,pr
-	mov.l   @r4+,r14
-	mov.l   @r4+,r13
-	mov.l   @r4+,r12
-	mov.l   @r4+,r11
-	mov.l   @r4+,r10
-	mov.l   @r4+,r9
-	mov.l   @r4+,r8
-	mov.l   @r4+,r7
-	mov.l   @r4+,r6
-
-	mov.l   @r4+,r3
-	mov.l   @r4+,r2
-	mov.l   @r4+,r1
-	mov.l   @r4+,r0
-	ldc.l   @r4+,gbr
-	ldc.l   @r4+,sr
-
-	rts
+  asm volatile("\n\
+	.global __CPU_Context_restore\n\
+__CPU_Context_restore:\n\
+	mov.l   @r4+,r15\n\
+	lds.l   @r4+,macl\n\
+	lds.l   @r4+,mach\n\
+	lds.l   @r4+,pr\n\
+	mov.l   @r4+,r14\n\
+	mov.l   @r4+,r13\n\
+	mov.l   @r4+,r12\n\
+	mov.l   @r4+,r11\n\
+	mov.l   @r4+,r10\n\
+	mov.l   @r4+,r9\n\
+	mov.l   @r4+,r8\n\
+	mov.l   @r4+,r7\n\
+	mov.l   @r4+,r6\n\
+\n\
+	mov.l   @r4+,r3\n\
+	mov.l   @r4+,r2\n\
+	mov.l   @r4+,r1\n\
+	mov.l   @r4+,r0\n\
+	ldc.l   @r4+,gbr\n\
+	ldc.l   @r4+,sr\n\
+\n\
+	rts\n\
 	nop" );
 }
Index: c/src/lib/libcpu/sh/sh7750/score/ispsh7750.c
===================================================================
--- c/src/lib/libcpu/sh/sh7750/score/ispsh7750.c	(revision fa5a45102c356c129aae76bd9fe3df37540a3c5c)
+++ c/src/lib/libcpu/sh/sh7750/score/ispsh7750.c	(revision f4807abbd0a3fe8bc8da9b83e9fdde1d29f62fcd)
@@ -336,12 +336,12 @@
  * interrupts being not allowed --> Trap 2
  ************************************************/
-asm(" .section .text
-.global __dummy_isp
-__dummy_isp:
-      mov.l r14,@-r15
-      mov   r15, r14
-      trapa #2
-      mov.l @r15+,r14
-      rte
+asm(" .section .text\n\
+.global __dummy_isp\n\
+__dummy_isp:\n\
+      mov.l r14,@-r15\n\
+      mov   r15, r14\n\
+      trapa #2\n\
+      mov.l @r15+,r14\n\
+      rte\n\
       nop");
 
